> ## Documentation Index
> Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create On-Call Route



## OpenAPI

````yaml POST /api/v1/on-call/routes
openapi: 3.0.0
info:
  title: GetMonitor API
  description: Status Pages bounded context
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmonitor.io
security: []
tags: []
paths:
  /api/v1/on-call/routes:
    post:
      tags:
        - on-call
      summary: Create an on-call route
      operationId: OnCallRouteController_create_v1
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateOnCallRouteDto'
      responses:
        '201':
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    CreateOnCallRouteDto:
      type: object
      properties:
        sourceType:
          type: string
          enum:
            - monitor
            - integration_installation
        sourceId:
          type: string
        scheduleId:
          type: string
      required:
        - sourceType
        - sourceId
        - scheduleId
  securitySchemes:
    apiKey:
      scheme: bearer
      type: http
      description: >-
        Organization API key, prefixed with `gm_api_`. Send it as
        `Authorization: Bearer <api_key>`.

````